### Property

# WebKit Settings:enable-2d-canvas-acceleration

since: 2.46

#### Declaration

    property enable-2d-canvas-acceleration: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable 2D canvas acceleration. If this setting is enabled, the 2D canvas will be accelerated even if Skia CPU is used for rendering. However, the canvas can be unaccelerated even when this setting is enabled, for other reasons like its size or when willReadFrequently property is used.

Type: | `gboolean`
Available since: | 2.46

Default value | TRUE
Getter method | `webkit_settings_get_enable_2d_canvas_acceleration()`
Setter method | `webkit_settings_set_enable_2d_canvas_acceleration()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no